/*!
FullCalendar Bootstrap 5 Plugin v6.0.0-beta.4
Docs & License: https://fullcalendar.io/
(c) 2022 Adam Shaw
*/
FullCalendar.Bootstrap5 = (function (exports, internal$1, core) {
    'use strict';

    class BootstrapTheme extends internal$1.Theme {
    }
    BootstrapTheme.prototype.classes = {
        root: 'fc-theme-bootstrap5',
        tableCellShaded: 'fc-theme-bootstrap5-shaded',
        buttonGroup: 'btn-group',
        button: 'btn btn-primary',
        buttonActive: 'active',
        popover: 'popover',
        popoverHeader: 'popover-header',
        popoverContent: 'popover-body',
    };
    BootstrapTheme.prototype.baseIconClass = 'bi';
    BootstrapTheme.prototype.iconClasses = {
        close: 'bi-x-lg',
        prev: 'bi-chevron-left',
        next: 'bi-chevron-right',
        prevYear: 'bi-chevron-double-left',
        nextYear: 'bi-chevron-double-right',
    };
    BootstrapTheme.prototype.rtlIconClasses = {
        prev: 'bi-chevron-right',
        next: 'bi-chevron-left',
        prevYear: 'bi-chevron-double-right',
        nextYear: 'bi-chevron-double-left',
    };
    // wtf
    BootstrapTheme.prototype.iconOverrideOption = 'buttonIcons'; // TODO: make TS-friendly
    BootstrapTheme.prototype.iconOverrideCustomButtonOption = 'icon';
    BootstrapTheme.prototype.iconOverridePrefix = 'bi-';

    var css_248z = "\n\n  .fc-theme-bootstrap5 a:not([href]) {\n    color: inherit;\n    text-decoration: inherit;\n  }\n\n.fc-theme-bootstrap5 .fc-list,\n  .fc-theme-bootstrap5 .fc-scrollgrid,\n  .fc-theme-bootstrap5 td,\n  .fc-theme-bootstrap5 th {\n    border: 1px solid var(--bs-gray-400);\n  }\n\n.fc-theme-bootstrap5 {\n\n  /* HACK: reapply core styles after highe-precedence border statement above */\n}\n\n.fc-theme-bootstrap5 .fc-scrollgrid {\n    border-right-width: 0;\n    border-bottom-width: 0;\n  }\n\n.fc-theme-bootstrap5-shaded {\n  background-color: var(--bs-gray-200);\n}\n";
    internal$1.injectStyles(css_248z);

    var plugin = core.createPlugin({
        name: '@fullcalendar/bootstrap5',
        themeClasses: {
            bootstrap5: BootstrapTheme,
        },
    });

    var internal = {
        __proto__: null,
        BootstrapTheme: BootstrapTheme
    };

    internal$1.globalPlugins.push(plugin);

    exports.Internal = internal;
    exports["default"] = plugin;

    Object.defineProperty(exports, '__esModule', { value: true });

    return exports;

})({}, FullCalendar.Internal, FullCalendar);
